## MMModem3gppProfileManager

MMModem3gppProfileManager — The 3GPP profile manager interface

## Functions

const gchar * | mm_modem_3gpp_profile_manager_get_path ()
gchar * | mm_modem_3gpp_profile_manager_dup_path ()
const gchar * | mm_modem_3gpp_profile_manager_get_index_field ()
gchar * | mm_modem_3gpp_profile_manager_dup_index_field ()
void | mm_modem_3gpp_profile_manager_list ()
gboolean | mm_modem_3gpp_profile_manager_list_finish ()
gboolean | mm_modem_3gpp_profile_manager_list_sync ()
void | mm_modem_3gpp_profile_manager_set ()
MM3gppProfile * | mm_modem_3gpp_profile_manager_set_finish ()
MM3gppProfile * | mm_modem_3gpp_profile_manager_set_sync ()
void | mm_modem_3gpp_profile_manager_delete ()
gboolean | mm_modem_3gpp_profile_manager_delete_finish ()
gboolean | mm_modem_3gpp_profile_manager_delete_sync ()

## Types and Values

struct | MMModem3gppProfileManager

## Object Hierarchy

        GObject
        ╰── GDBusProxy
            ╰── MmGdbusModem3gppProfileManagerProxy
                ╰── MMModem3gppProfileManager

## Implemented Interfaces

MMModem3gppProfileManager implements GDBusInterface, GInitable, GAsyncInitable and MmGdbusModem3gppProfileManager.

## Description

The MMModem3gppProfileManager is an object providing access to the methods and signals of the 3GPP Profile Manager interface.

This interface is only exposed when the 3GPP modem is known to handle profile management operations.

## Functions

### mm_modem_3gpp_profile_manager_get_path ()

    const gchar *
    mm_modem_3gpp_profile_manager_get_path
                                   (MMModem3gppProfileManager *self);

Gets the DBus path of the MMObject which implements this interface.

#### Parameters

self | A MMModem3gppProfileManager. |

#### Returns

The DBus path of the MMObject object.

[transfer none]

Since: 1.18

### mm_modem_3gpp_profile_manager_dup_path ()

    gchar *
    mm_modem_3gpp_profile_manager_dup_path
                                   (MMModem3gppProfileManager *self);

Gets a copy of the DBus path of the MMObject object which implements this interface.

#### Parameters

self | A MMModem3gppProfileManager. |

#### Returns

The DBus path of the MMObject. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.18

### mm_modem_3gpp_profile_manager_get_index_field ()

    const gchar *
    mm_modem_3gpp_profile_manager_get_index_field
                                   (MMModem3gppProfileManager *self);

Gets the name of the field used as index in profile management operations.

#### Parameters

self | A MMModem3gppProfileManager. |

#### Returns

The index field, or `NULL` if none available. Do not free the returned value, it belongs to `self` .

[transfer none]

Since: 1.20

### mm_modem_3gpp_profile_manager_dup_index_field ()

    gchar *
    mm_modem_3gpp_profile_manager_dup_index_field
                                   (MMModem3gppProfileManager *self);

Gets a copy of the name of the field used as index in profile management operations.

#### Parameters

self | A MMModem3gppProfileManager. |

#### Returns

The index field, or `NULL` if none available. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.20

### mm_modem_3gpp_profile_manager_list ()

    void
    mm_modem_3gpp_profile_manager_list (MMModem3gppProfileManager *self,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously gets the list of available connection profiles.

When the operation is finished, `callback` will be invoked in the

thread-default main loop

of the thread you are calling this method from. You can then call `mm_modem_3gpp_profile_manager_list_finish()` to get the result of the operation.

See `mm_modem_3gpp_profile_manager_list_sync()` for the synchronous, blocking version of this method.

#### Parameters

self | A MMModem3gppProfileManager. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 1.18

### mm_modem_3gpp_profile_manager_list_finish ()

    gboolean
    mm_modem_3gpp_profile_manager_list_finish
                                   (MMModem3gppProfileManager *self,
                                    GAsyncResult *res,
                                    GList **profiles,
                                    GError **error);

Finishes an operation started with `mm_modem_3gpp_profile_manager_list()`.

#### Parameters

self | A MMModem3gppProfileManager. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_modem_3gpp_profile_manager_list()`. |
profiles | A list of MM3gppProfile objects available in the device. The returned value should be freed with `g_list_free_full()` using `g_object_unref()` as GDestroyNotify. | [out][allow-none][transfer full][element-type ModemManager.3gppProfile]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the list was correctly retrieved, `FALSE` if `error` is set.

Since: 1.18

### mm_modem_3gpp_profile_manager_list_sync ()

    gboolean
    mm_modem_3gpp_profile_manager_list_sync
                                   (MMModem3gppProfileManager *self,
                                    GCancellable *cancellable,
                                    GList **profiles,
                                    GError **error);

Synchronously gets the list of available connection profiles.

The calling thread is blocked until a reply is received. See `mm_modem_3gpp_profile_manager_list()` for the asynchronous version of this method.

#### Parameters

self | A MMModem3gppProfileManager. |
cancellable | A GCancellable or `NULL`. | [allow-none]
profiles | A list of MM3gppProfile objects available in the device. The returned value should be freed with `g_list_free_full()` using `g_object_unref()` as GDestroyNotify. | [out][allow-none][transfer full][element-type ModemManager.3gppProfile]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the list was correctly retrieved, `FALSE` if `error` is set.

Since: 1.18

### mm_modem_3gpp_profile_manager_set ()

    void
    mm_modem_3gpp_profile_manager_set (MMModem3gppProfileManager *self,
                                       MM3gppProfile *requested,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously updates a connection profile with the settings given in `profile` .

If `profile` does not have an explicit profile ID set, a new profile will be created.

When the operation is finished, `callback` will be invoked in the

thread-default main loop

of the thread you are calling this method from. You can then call `mm_modem_3gpp_profile_manager_set_finish()` to get the result of the operation.

See `mm_modem_3gpp_profile_manager_set_sync()` for the synchronous, blocking version of this method.

#### Parameters

self | A MMModem3gppProfileManager. |
requested | A MM3gppProfile with the requested settings. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 1.18

### mm_modem_3gpp_profile_manager_set_finish ()

    MM3gppProfile *
    mm_modem_3gpp_profile_manager_set_finish
                                   (MMModem3gppProfileManager *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_modem_3gpp_profile_manager_set()`.

#### Parameters

self | A MMModem3gppProfileManager. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_modem_3gpp_profile_manager_set()`. |
error | Return location for error or `NULL`. |

#### Returns

A MM3gppProfile with the stored settings, or `NULL` if `error` is set.

[transfer full]

Since: 1.18

### mm_modem_3gpp_profile_manager_set_sync ()

    MM3gppProfile *
    mm_modem_3gpp_profile_manager_set_sync
                                   (MMModem3gppProfileManager *self,
                                    MM3gppProfile *requested,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously updates a connection profile with the settings given in `profile` .

If `profile` does not have an explicit profile ID set, a new profile will be created.

The calling thread is blocked until a reply is received. See `mm_modem_3gpp_profile_manager_set()` for the asynchronous version of this method.

#### Parameters

self | A MMModem3gppProfileManager. |
requested | A MM3gppProfile with the requested settings. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

A MM3gppProfile with the stored settings, or `NULL` if `error` is set.

[transfer full]

Since: 1.18

### mm_modem_3gpp_profile_manager_delete ()

    void
    mm_modem_3gpp_profile_manager_delete (MMModem3gppProfileManager *self,
                                          MM3gppProfile *profile,
                                          GCancellable *cancellable,
                                          GAsyncReadyCallback callback,
                                          gpointer user_data);

Asynchronously deletes the connection profile.

The `profile` should have at least the profile ID set for the delete operation to succeed.

When the operation is finished, `callback` will be invoked in the

thread-default main loop

of the thread you are calling this method from. You can then call `mm_modem_3gpp_profile_manager_delete_finish()` to get the result of the operation.

See `mm_modem_3gpp_profile_manager_delete_sync()` for the synchronous, blocking version of this method.

#### Parameters

self | A MMModem3gppProfileManager. |
profile | A MM3gppProfile. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 1.18

### mm_modem_3gpp_profile_manager_delete_finish ()

    gboolean
    mm_modem_3gpp_profile_manager_delete_finish
                                   (MMModem3gppProfileManager *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_modem_3gpp_profile_manager_delete()`.

#### Parameters

self | A MMModem3gppProfileManager. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_modem_3gpp_profile_manager_delete()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the operation was successful, `FALSE` if `error` is set.

Since: 1.18

### mm_modem_3gpp_profile_manager_delete_sync ()

    gboolean
    mm_modem_3gpp_profile_manager_delete_sync
                                   (MMModem3gppProfileManager *self,
                                    MM3gppProfile *profile,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously deletes the connection profile.

The `profile` should have at least the profile ID set for the delete operation to succeed.

The calling thread is blocked until a reply is received. See `mm_modem_3gpp_profile_manager_delete()` for the asynchronous version of this method.

#### Parameters

self | A MMModem3gppProfileManager. |
profile | A MM3gppProfile. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the operation was successful, `FALSE` if `error` is set.

Since: 1.18

## Types and Values

### struct MMModem3gppProfileManager

    struct MMModem3gppProfileManager;

The MMModem3gppProfileManager structure contains private data and should only be accessed using the provided API.